Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JList.AccessibleJList.AccessibleJListChild

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JList.AccessibleJList.AccessibleJListChild

protected class JList.AccessibleJList.AccessibleJListChild
extends AccessibleContext
implements Accessible, AccessibleComponent

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`JList.AccessibleJList.AccessibleJListChild(JList parent, int indexInParent)`

Method Summary
`void` | `addFocusListener(java.awt.event.FocusListener l)`
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`boolean` | `contains(java.awt.Point p)`
`AccessibleAction` | `getAccessibleAction()`
`Accessible` | `getAccessibleAt(java.awt.Point p)`
`Accessible` | `getAccessibleChild(int i)`
`int` | `getAccessibleChildrenCount()`
`AccessibleComponent` | `getAccessibleComponent()`
`AccessibleContext` | `getAccessibleContext()`
`java.lang.String` | `getAccessibleDescription()`
`int` | `getAccessibleIndexInParent()`
`java.lang.String` | `getAccessibleName()`
`AccessibleRole` | `getAccessibleRole()`
`AccessibleSelection` | `getAccessibleSelection()`
`AccessibleStateSet` | `getAccessibleStateSet()`
`AccessibleText` | `getAccessibleText()`
`AccessibleValue` | `getAccessibleValue()`
`java.awt.Color` | `getBackground()`
`java.awt.Rectangle` | `getBounds()`
`java.awt.Cursor` | `getCursor()`
`java.awt.Font` | `getFont()`
`java.awt.FontMetrics` | `getFontMetrics(java.awt.Font f)`
`java.awt.Color` | `getForeground()`
`java.util.Locale` | `getLocale()`
`java.awt.Point` | `getLocation()`
`java.awt.Point` | `getLocationOnScreen()`
`java.awt.Dimension` | `getSize()`
`boolean` | `isEnabled()`
`boolean` | `isFocusTraversable()`
`boolean` | `isShowing()`
`boolean` | `isVisible()`
`void` | `removeFocusListener(java.awt.event.FocusListener l)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` | `requestFocus()`
`void` | `setAccessibleDescription(java.lang.String s)`
`void` | `setAccessibleName(java.lang.String s)`
`void` | `setBackground(java.awt.Color c)`
`void` | `setBounds(java.awt.Rectangle r)`
`void` | `setCursor(java.awt.Cursor c)`
`void` | `setEnabled(boolean b)`
`void` | `setFont(java.awt.Font f)`
`void` | `setForeground(java.awt.Color c)`
`void` | `setLocation(java.awt.Point p)`
`void` | `setSize(java.awt.Dimension d)`
`void` | `setVisible(boolean b)`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleParent, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JList.AccessibleJList.AccessibleJListChild

    public JList.AccessibleJList.AccessibleJListChild(JList parent,
                                                      int indexInParent)

Method Detail

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Specified by:
    getAccessibleContext in interface Accessible

### getAccessibleName

    public java.lang.String getAccessibleName()

  Overrides:
    getAccessibleName in class AccessibleContext

### setAccessibleName

    public void setAccessibleName(java.lang.String s)

  Overrides:
    setAccessibleName in class AccessibleContext

### getAccessibleDescription

    public java.lang.String getAccessibleDescription()

  Overrides:
    getAccessibleDescription in class AccessibleContext

### setAccessibleDescription

    public void setAccessibleDescription(java.lang.String s)

  Overrides:
    setAccessibleDescription in class AccessibleContext

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Overrides:
    getAccessibleRole in class AccessibleContext

### getAccessibleStateSet

    public AccessibleStateSet getAccessibleStateSet()

  Overrides:
    getAccessibleStateSet in class AccessibleContext

### getAccessibleIndexInParent

    public int getAccessibleIndexInParent()

  Overrides:
    getAccessibleIndexInParent in class AccessibleContext

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount()

  Overrides:
    getAccessibleChildrenCount in class AccessibleContext

### getAccessibleChild

    public Accessible getAccessibleChild(int i)

  Overrides:
    getAccessibleChild in class AccessibleContext

### getLocale

    public java.util.Locale getLocale()

  Overrides:
    getLocale in class AccessibleContext

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Overrides:
    addPropertyChangeListener in class AccessibleContext

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  Overrides:
    removePropertyChangeListener in class AccessibleContext

### getAccessibleAction

    public AccessibleAction getAccessibleAction()

  Overrides:
    getAccessibleAction in class AccessibleContext

### getAccessibleComponent

    public AccessibleComponent getAccessibleComponent()

  Overrides:
    getAccessibleComponent in class AccessibleContext

### getAccessibleSelection

    public AccessibleSelection getAccessibleSelection()

  Overrides:
    getAccessibleSelection in class AccessibleContext

### getAccessibleText

    public AccessibleText getAccessibleText()

  Overrides:
    getAccessibleText in class AccessibleContext

### getAccessibleValue

    public AccessibleValue getAccessibleValue()

  Overrides:
    getAccessibleValue in class AccessibleContext

### getBackground

    public java.awt.Color getBackground()

  Specified by:
    getBackground in interface AccessibleComponent

### setBackground

    public void setBackground(java.awt.Color c)

  Specified by:
    setBackground in interface AccessibleComponent

### getForeground

    public java.awt.Color getForeground()

  Specified by:
    getForeground in interface AccessibleComponent

### setForeground

    public void setForeground(java.awt.Color c)

  Specified by:
    setForeground in interface AccessibleComponent

### getCursor

    public java.awt.Cursor getCursor()

  Specified by:
    getCursor in interface AccessibleComponent

### setCursor

    public void setCursor(java.awt.Cursor c)

  Specified by:
    setCursor in interface AccessibleComponent

### getFont

    public java.awt.Font getFont()

  Specified by:
    getFont in interface AccessibleComponent

### setFont

    public void setFont(java.awt.Font f)

  Specified by:
    setFont in interface AccessibleComponent

### getFontMetrics

    public java.awt.FontMetrics getFontMetrics(java.awt.Font f)

  Specified by:
    getFontMetrics in interface AccessibleComponent

### isEnabled

    public boolean isEnabled()

  Specified by:
    isEnabled in interface AccessibleComponent

### setEnabled

    public void setEnabled(boolean b)

  Specified by:
    setEnabled in interface AccessibleComponent

### isVisible

    public boolean isVisible()

  Specified by:
    isVisible in interface AccessibleComponent

### setVisible

    public void setVisible(boolean b)

  Specified by:
    setVisible in interface AccessibleComponent

### isShowing

    public boolean isShowing()

  Specified by:
    isShowing in interface AccessibleComponent

### contains

    public boolean contains(java.awt.Point p)

  Specified by:
    contains in interface AccessibleComponent

### getLocationOnScreen

    public java.awt.Point getLocationOnScreen()

  Specified by:
    getLocationOnScreen in interface AccessibleComponent

### getLocation

    public java.awt.Point getLocation()

  Specified by:
    getLocation in interface AccessibleComponent

### setLocation

    public void setLocation(java.awt.Point p)

  Specified by:
    setLocation in interface AccessibleComponent

### getBounds

    public java.awt.Rectangle getBounds()

  Specified by:
    getBounds in interface AccessibleComponent

### setBounds

    public void setBounds(java.awt.Rectangle r)

  Specified by:
    setBounds in interface AccessibleComponent

### getSize

    public java.awt.Dimension getSize()

  Specified by:
    getSize in interface AccessibleComponent

### setSize

    public void setSize(java.awt.Dimension d)

  Specified by:
    setSize in interface AccessibleComponent

### getAccessibleAt

    public Accessible getAccessibleAt(java.awt.Point p)

  Specified by:
    getAccessibleAt in interface AccessibleComponent

### isFocusTraversable

    public boolean isFocusTraversable()

  Specified by:
    isFocusTraversable in interface AccessibleComponent

### requestFocus

    public void requestFocus()

  Specified by:
    requestFocus in interface AccessibleComponent

### addFocusListener

    public void addFocusListener(java.awt.event.FocusListener l)

  Specified by:
    addFocusListener in interface AccessibleComponent

### removeFocusListener

    public void removeFocusListener(java.awt.event.FocusListener l)

  Specified by:
    removeFocusListener in interface AccessibleComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.